Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ChartInfo

    java.lang.Object
      jet.api.ChartInfo

    public class ChartInfo

extends java.lang.Object

Class ChartInfo defines the information of a chart. A chart organizes and graphically presents data in a way that makes it easy for end users to see comparisons, trends, and patterns in data. It represents the report data in a visually straightforward form. A chart is based on the chart platform. On the platform, the chart paper, the legend, and labels make up the chart. You can create a chart that contains only simple DBFields, or a complicated chart that contains DBFields, groups, summaries, and even formulas. Normally, DBFields, summaries, and formulas in a report are represented in a chart using chart data markers, and groups are used to produce category names and data series names. DBFields can also be used as category names.

Constructor Summary
`ChartInfo(java.lang.String category, java.lang.String series)` Constructs the definition of a chart.
`ChartInfo(java.lang.String category, java.lang.String series, boolean isBVData)` Constructs the definition of a chart.

Method Summary
`java.lang.String` | `getCategory()` Gets the mapping name of the field that is shown as the Category of the chart.
`GroupInfo` | `getCategoryGroupInfo()` Gets the definition of the special group options.
`ChartLabelInfo` | `getChartLabelInfo()` Gets the definitions of the chart label .
`ChartLegendInfo` | `getChartLegendInfo()` Gets the definitions of the chart legend.
`java.lang.String` | `getSeries()` Gets the mapping name of the field that shown as the Series of the chart.
`GroupInfo` | `getSeriesGroupInfo()` Gets the definition of the special group options.
`boolean` | `isBVData()` Checks whether the chart is defined by BusinessView data or not.
`void` | `setBVData(boolean isBVData)` Indicates whether the chart is defined by BusinessView data or not.
`void` | `setCategory(java.lang.String category)` Sets the mapping name of the field that is shown as the Category of the chart.
`void` | `setCategoryGroupInfo(GroupInfo categoryGroupInfo)` Sets the special group options of the Category of the chart.
`void` | `setChartLabelInfo(ChartLabelInfo chartLabelInfo)` Sets the definitions of the chart label.
`void` | `setChartLegendInfo(ChartLegendInfo chartLegendInfo)` Sets the definitions of the chart legend.
`void` | `SetChartShowType(int iType, boolean relyAxisY2, java.lang.String showValueName)` Set the display type and show values of the chart.
`void` | `setSeries(java.lang.String series)` Sets the mapping name of the field that is shown as the Series of the chart.
`void` | `setSeriesGroupInfo(GroupInfo seriesGroupInfo)` Sets the special group options of the Series of the chart.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartInfo

    public ChartInfo(java.lang.String category,
                     java.lang.String series)

  Constructs the definition of a chart.

  Parameters:
    `category` - Specifies the mapping name of the field to be displayed in the category (X) axis of the chart.
    `series` - Specifies the mapping name of the field to be displayed in the series (Z) axis of the chart

### ChartInfo

    public ChartInfo(java.lang.String category,
                     java.lang.String series,
                     boolean isBVData)

  Constructs the definition of a chart.

  Parameters:
    `category` - Specifies the mapping name of the field to be displayed in the category (X) axis of the chart.
    `series` - Specifies the mapping name of the field to be displayed in the series (Z) axis of the chart.
    `isBVData` - Specifies whether or not that chart is defined by BusinessView data.

Method Detail

### isBVData

    public boolean isBVData()

  Checks whether the chart is defined by BusinessView data or not.

  Returns:
    `true` if the chart is defined by BusinessView data; `false` otherwise.

### setBVData

    public void setBVData(boolean isBVData)

  Indicates whether the chart is defined by BusinessView data or not.

  Parameters:
    `isBVData` - If `true`, indicates the chart is defined by BusinessView data; `false` otherwise.

### getCategory

    public java.lang.String getCategory()

  Gets the mapping name of the field that is shown as the Category of the chart.

  Returns:
    the defined mapping name of the field.

### setCategory

    public void setCategory(java.lang.String category)

  Sets the mapping name of the field that is shown as the Category of the chart.

  Parameters:
    `category` - Indicates the mapping name of the field that is shown as the Category of the chart.

### getSeries

    public java.lang.String getSeries()

  Gets the mapping name of the field that shown as the Series of the chart.

  Returns:
    the defined mapping name of the field.

### setSeries

    public void setSeries(java.lang.String series)

  Sets the mapping name of the field that is shown as the Series of the chart.

  Parameters:
    `series` - Indicates the mapping name of the field that is shown as the Series of the chart.

### SetChartShowType

    public void SetChartShowType(int iType,
                                 boolean relyAxisY2,
                                 java.lang.String showValueName)

  Set the display type and show values of the chart.

  Parameters:
    `iType` - Indicates the display type of the show values in the chart.
    `relyAxisY2` - Indicates whether to show values in the second Y Axis of the chart.
    `showValueName` - Indicate the name of the summary shown in the chart.

### setChartLabelInfo

    public void setChartLabelInfo(ChartLabelInfo chartLabelInfo)

  Sets the definitions of the chart label.

  Parameters:
    `chartLabelInfo` - Indicates the definitions of the chart label.

### getChartLabelInfo

    public ChartLabelInfo getChartLabelInfo()

  Gets the definitions of the chart label .

  Returns:
    the definitions of the chart label.

### setChartLegendInfo

    public void setChartLegendInfo(ChartLegendInfo chartLegendInfo)

  Sets the definitions of the chart legend.

  Parameters:
    `chartLegendInfo` - Indicates the definitions of the chart legend.

### getChartLegendInfo

    public ChartLegendInfo getChartLegendInfo()

  Gets the definitions of the chart legend.

  Returns:
    the definitions of the chart legend.

### setCategoryGroupInfo

    public void setCategoryGroupInfo(GroupInfo categoryGroupInfo)

  Sets the special group options of the Category of the chart.

  Parameters:
    `categoryGroupInfo` - Specifies the special group options.

### getCategoryGroupInfo

    public GroupInfo getCategoryGroupInfo()

  Gets the definition of the special group options.

  Returns:
    the GroupInfo that defines the special options of the group.

### setSeriesGroupInfo

    public void setSeriesGroupInfo(GroupInfo seriesGroupInfo)

  Sets the special group options of the Series of the chart.

  Parameters:
    `seriesGroupInfo` - Specifies the special group options.

### getSeriesGroupInfo

    public GroupInfo getSeriesGroupInfo()

  Gets the definition of the special group options.

  Returns:
    the GroupInfo that defines the special options of the group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD